gtkmm: Gtk::TextTag Class Reference

gtkmm 3.24.0

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gtk::TextTag Class Reference
TextView Classes

Typedefed as Gtk::TextBuffer::Tag. More...

`#include <gtkmm/texttag.h>`

Inheritance diagram for Gtk::TextTag:
[legend]

## Public Member Functions
| TextTag (TextTag&& src) noexcept
TextTag& | operator= (TextTag&& src) noexcept
| ~TextTag () noexcept override
GtkTextTag* | gobj ()
| Provides access to the underlying C GObject. More...
const GtkTextTag* | gobj () const
| Provides access to the underlying C GObject. More...
GtkTextTag* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
int | get_priority () const
| Get the tag priority. More...
void | set_priority (int priority)
| Sets the priority of a Gtk::TextTag. More...
bool | event (const Glib::RefPtr< Glib::Object >& event_object, GdkEvent* gdk_event, const TextIter& iter)
| Emits the “event” signal on the Gtk::TextTag. More...
void | tag_changed (bool size_changed)
| Emits the Gtk::TextTagTable::signal_tag_changed() signal on the Gtk::TextTagTable where the tag is included. More...
Glib::SignalProxy< bool, const Glib::RefPtr< Glib::Object >&, GdkEvent*, const TextIter& > | signal_event ()
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_name () const
| Name used to refer to the text tag. More...
Glib::PropertyProxy_WriteOnly< Glib::ustring > | property_background ()
| Background color as a string. More...
Glib::PropertyProxy_WriteOnly< Glib::ustring > | property_foreground ()
| Foreground color as a string. More...
Glib::PropertyProxy< Gdk::Color > | property_background_gdk ()
| Background color as a Gdk::Color. More...
Glib::PropertyProxy_ReadOnly< Gdk::Color > | property_background_gdk () const
| Background color as a Gdk::Color. More...
Glib::PropertyProxy< Gdk::RGBA > | property_background_rgba ()
| Background color as a Gdk::RGBA. More...
Glib::PropertyProxy_ReadOnly< Gdk::RGBA > | property_background_rgba () const
| Background color as a Gdk::RGBA. More...
Glib::PropertyProxy< Gdk::Color > | property_foreground_gdk ()
| Foreground color as a Gdk::Color. More...
Glib::PropertyProxy_ReadOnly< Gdk::Color > | property_foreground_gdk () const
| Foreground color as a Gdk::Color. More...
Glib::PropertyProxy< Gdk::RGBA > | property_foreground_rgba ()
| Foreground color as a Gdk::RGBA. More...
Glib::PropertyProxy_ReadOnly< Gdk::RGBA > | property_foreground_rgba () const
| Foreground color as a Gdk::RGBA. More...
Glib::PropertyProxy< Glib::ustring > | property_font ()
| Font description as string, e.g. \"Sans Italic 12\\". More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_font () const
| Font description as string, e.g. \"Sans Italic 12\\". More...
Glib::PropertyProxy< Pango::FontDescription > | property_font_desc ()
| Font description as a PangoFontDescription struct. More...
Glib::PropertyProxy_ReadOnly< Pango::FontDescription > | property_font_desc () const
| Font description as a PangoFontDescription struct. More...
Glib::PropertyProxy< Glib::ustring > | property_family ()
| Name of the font family, e.g. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_family () const
| Name of the font family, e.g. More...
Glib::PropertyProxy< Pango::Style > | property_style ()
| Font style as a PangoStyle, e.g. More...
Glib::PropertyProxy_ReadOnly< Pango::Style > | property_style () const
| Font style as a PangoStyle, e.g. More...
Glib::PropertyProxy< Pango::Variant > | property_variant ()
| Font variant as a PangoVariant, e.g. More...
Glib::PropertyProxy_ReadOnly< Pango::Variant > | property_variant () const
| Font variant as a PangoVariant, e.g. More...
Glib::PropertyProxy< int > | property_weight ()
| Font weight as an integer, see predefined values in PangoWeight; for example, PANGO_WEIGHT_BOLD. More...
Glib::PropertyProxy_ReadOnly< int > | property_weight () const
| Font weight as an integer, see predefined values in PangoWeight; for example, PANGO_WEIGHT_BOLD. More...
Glib::PropertyProxy< Pango::Stretch > | property_stretch ()
| Font stretch as a PangoStretch, e.g. More...
Glib::PropertyProxy_ReadOnly< Pango::Stretch > | property_stretch () const
| Font stretch as a PangoStretch, e.g. More...
Glib::PropertyProxy< int > | property_size ()
| Font size in Pango units. More...
Glib::PropertyProxy_ReadOnly< int > | property_size () const
| Font size in Pango units. More...
Glib::PropertyProxy< double > | property_size_points ()
| Font size in points. More...
Glib::PropertyProxy_ReadOnly< double > | property_size_points () const
| Font size in points. More...
Glib::PropertyProxy< double > | property_scale ()
| Font size as a scale factor relative to the default font size. More...
Glib::PropertyProxy_ReadOnly< double > | property_scale () const
| Font size as a scale factor relative to the default font size. More...
Glib::PropertyProxy< int > | property_pixels_above_lines ()
| Pixels of blank space above paragraphs. More...
Glib::PropertyProxy_ReadOnly< int > | property_pixels_above_lines () const
| Pixels of blank space above paragraphs. More...
Glib::PropertyProxy< int > | property_pixels_below_lines ()
| Pixels of blank space below paragraphs. More...
Glib::PropertyProxy_ReadOnly< int > | property_pixels_below_lines () const
| Pixels of blank space below paragraphs. More...
Glib::PropertyProxy< int > | property_pixels_inside_wrap ()
| Pixels of blank space between wrapped lines in a paragraph. More...
Glib::PropertyProxy_ReadOnly< int > | property_pixels_inside_wrap () const
| Pixels of blank space between wrapped lines in a paragraph. More...
Glib::PropertyProxy< bool > | property_editable ()
| Whether the text can be modified by the user. More...
Glib::PropertyProxy_ReadOnly< bool > | property_editable () const
| Whether the text can be modified by the user. More...
Glib::PropertyProxy< WrapMode > | property_wrap_mode ()
| Whether to wrap lines never, at word boundaries, or at character boundaries. More...
Glib::PropertyProxy_ReadOnly< WrapMode > | property_wrap_mode () const
| Whether to wrap lines never, at word boundaries, or at character boundaries. More...
Glib::PropertyProxy< Justification > | property_justification ()
| Left, right, or center justification. More...
Glib::PropertyProxy_ReadOnly< Justification > | property_justification () const
| Left, right, or center justification. More...
Glib::PropertyProxy< TextDirection > | property_direction ()
| Text direction, e.g. More...
Glib::PropertyProxy_ReadOnly< TextDirection > | property_direction () const
| Text direction, e.g. More...
Glib::PropertyProxy< int > | property_left_margin ()
| Width of the left margin in pixels. More...
Glib::PropertyProxy_ReadOnly< int > | property_left_margin () const
| Width of the left margin in pixels. More...
Glib::PropertyProxy< int > | property_indent ()
| Amount to indent the paragraph, in pixels. More...
Glib::PropertyProxy_ReadOnly< int > | property_indent () const
| Amount to indent the paragraph, in pixels. More...
Glib::PropertyProxy< bool > | property_strikethrough ()
| Whether to strike through the text. More...
Glib::PropertyProxy_ReadOnly< bool > | property_strikethrough () const
| Whether to strike through the text. More...
Glib::PropertyProxy< Gdk::RGBA > | property_strikethrough_rgba ()
| This property modifies the color of strikeouts. More...
Glib::PropertyProxy_ReadOnly< Gdk::RGBA > | property_strikethrough_rgba () const
| This property modifies the color of strikeouts. More...
Glib::PropertyProxy< int > | property_right_margin ()
| Width of the right margin in pixels. More...
Glib::PropertyProxy_ReadOnly< int > | property_right_margin () const
| Width of the right margin in pixels. More...
Glib::PropertyProxy< Pango::Underline > | property_underline ()
| Style of underline for this text. More...
Glib::PropertyProxy_ReadOnly< Pango::Underline > | property_underline () const
| Style of underline for this text. More...
Glib::PropertyProxy< Gdk::RGBA > | property_underline_rgba ()
| This property modifies the color of underlines. More...
Glib::PropertyProxy_ReadOnly< Gdk::RGBA > | property_underline_rgba () const
| This property modifies the color of underlines. More...
Glib::PropertyProxy< int > | property_rise ()
| Offset of text above the baseline (below the baseline if rise is negative) in Pango units. More...
Glib::PropertyProxy_ReadOnly< int > | property_rise () const
| Offset of text above the baseline (below the baseline if rise is negative) in Pango units. More...
Glib::PropertyProxy< bool > | property_background_full_height ()
| Whether the background color fills the entire line height or only the height of the tagged characters. More...
Glib::PropertyProxy_ReadOnly< bool > | property_background_full_height () const
| Whether the background color fills the entire line height or only the height of the tagged characters. More...
Glib::PropertyProxy< Glib::ustring > | property_language ()
| The language this text is in, as an ISO code. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_language () const
| The language this text is in, as an ISO code. More...
Glib::PropertyProxy< Pango::TabArray > | property_tabs ()
| Custom tabs for this text. More...
Glib::PropertyProxy_ReadOnly< Pango::TabArray > | property_tabs () const
| Custom tabs for this text. More...
Glib::PropertyProxy< bool > | property_invisible ()
| Whether this text is hidden. More...
Glib::PropertyProxy_ReadOnly< bool > | property_invisible () const
| Whether this text is hidden. More...
Glib::PropertyProxy_WriteOnly< Glib::ustring > | property_paragraph_background ()
| The paragraph background color as a string. More...
Glib::PropertyProxy< Gdk::Color > | property_paragraph_background_gdk ()
| The paragraph background color as a Gdk::Color. More...
Glib::PropertyProxy_ReadOnly< Gdk::Color > | property_paragraph_background_gdk () const
| The paragraph background color as a Gdk::Color. More...
Glib::PropertyProxy< Gdk::RGBA > | property_paragraph_background_rgba ()
| The paragraph background color as a Gdk::RGBA. More...
Glib::PropertyProxy_ReadOnly< Gdk::RGBA > | property_paragraph_background_rgba () const
| The paragraph background color as a Gdk::RGBA. More...
Glib::PropertyProxy< Glib::ustring > | property_font_features ()
| OpenType font features, as a string. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_font_features () const
| OpenType font features, as a string. More...
Glib::PropertyProxy< bool > | property_accumulative_margin ()
| Whether the margins accumulate or override each other. More...
Glib::PropertyProxy_ReadOnly< bool > | property_accumulative_margin () const
| Whether the margins accumulate or override each other. More...
Glib::PropertyProxy< bool > | property_background_set ()
| Whether this tag affects the background color. More...
Glib::PropertyProxy_ReadOnly< bool > | property_background_set () const
| Whether this tag affects the background color. More...
Glib::PropertyProxy< bool > | property_foreground_set ()
| Whether this tag affects the foreground color. More...
Glib::PropertyProxy_ReadOnly< bool > | property_foreground_set () const
| Whether this tag affects the foreground color. More...
Glib::PropertyProxy< bool > | property_family_set ()
| Whether this tag affects the font family. More...
Glib::PropertyProxy_ReadOnly< bool > | property_family_set () const
| Whether this tag affects the font family. More...
Glib::PropertyProxy< bool > | property_style_set ()
| Whether this tag affects the font style. More...
Glib::PropertyProxy_ReadOnly< bool > | property_style_set () const
| Whether this tag affects the font style. More...
Glib::PropertyProxy< bool > | property_variant_set ()
| Whether this tag affects the font variant. More...
Glib::PropertyProxy_ReadOnly< bool > | property_variant_set () const
| Whether this tag affects the font variant. More...
Glib::PropertyProxy< bool > | property_weight_set ()
| Whether this tag affects the font weight. More...
Glib::PropertyProxy_ReadOnly< bool > | property_weight_set () const
| Whether this tag affects the font weight. More...
Glib::PropertyProxy< bool > | property_stretch_set ()
| Whether this tag affects the font stretch. More...
Glib::PropertyProxy_ReadOnly< bool > | property_stretch_set () const
| Whether this tag affects the font stretch. More...
Glib::PropertyProxy< bool > | property_size_set ()
| Whether this tag affects the font size. More...
Glib::PropertyProxy_ReadOnly< bool > | property_size_set () const
| Whether this tag affects the font size. More...
Glib::PropertyProxy< bool > | property_scale_set ()
| Whether this tag scales the font size by a factor. More...
Glib::PropertyProxy_ReadOnly< bool > | property_scale_set () const
| Whether this tag scales the font size by a factor. More...
Glib::PropertyProxy< bool > | property_pixels_above_lines_set ()
| Whether this tag affects the number of pixels above lines. More...
Glib::PropertyProxy_ReadOnly< bool > | property_pixels_above_lines_set () const
| Whether this tag affects the number of pixels above lines. More...
Glib::PropertyProxy< bool > | property_pixels_below_lines_set ()
| Whether this tag affects the number of pixels above lines. More...
Glib::PropertyProxy_ReadOnly< bool > | property_pixels_below_lines_set () const
| Whether this tag affects the number of pixels above lines. More...
Glib::PropertyProxy< bool > | property_pixels_inside_wrap_set ()
| Whether this tag affects the number of pixels between wrapped lines. More...
Glib::PropertyProxy_ReadOnly< bool > | property_pixels_inside_wrap_set () const
| Whether this tag affects the number of pixels between wrapped lines. More...
Glib::PropertyProxy< bool > | property_editable_set ()
| Whether this tag affects text editability. More...
Glib::PropertyProxy_ReadOnly< bool > | property_editable_set () const
| Whether this tag affects text editability. More...
Glib::PropertyProxy< bool > | property_wrap_mode_set ()
| Whether this tag affects line wrap mode. More...
Glib::PropertyProxy_ReadOnly< bool > | property_wrap_mode_set () const
| Whether this tag affects line wrap mode. More...
Glib::PropertyProxy< bool > | property_justification_set ()
| Whether this tag affects paragraph justification. More...
Glib::PropertyProxy_ReadOnly< bool > | property_justification_set () const
| Whether this tag affects paragraph justification. More...
Glib::PropertyProxy< bool > | property_left_margin_set ()
| Whether this tag affects the left margin. More...
Glib::PropertyProxy_ReadOnly< bool > | property_left_margin_set () const
| Whether this tag affects the left margin. More...
Glib::PropertyProxy< bool > | property_indent_set ()
| Whether this tag affects indentation. More...
Glib::PropertyProxy_ReadOnly< bool > | property_indent_set () const
| Whether this tag affects indentation. More...
Glib::PropertyProxy< bool > | property_strikethrough_set ()
| Whether this tag affects strikethrough. More...
Glib::PropertyProxy_ReadOnly< bool > | property_strikethrough_set () const
| Whether this tag affects strikethrough. More...
Glib::PropertyProxy< bool > | property_strikethrough_rgba_set ()
| If the Gtk::TextTag::property_strikethrough_rgba() property has been set. More...
Glib::PropertyProxy_ReadOnly< bool > | property_strikethrough_rgba_set () const
| If the Gtk::TextTag::property_strikethrough_rgba() property has been set. More...
Glib::PropertyProxy< bool > | property_right_margin_set ()
| Whether this tag affects the right margin. More...
Glib::PropertyProxy_ReadOnly< bool > | property_right_margin_set () const
| Whether this tag affects the right margin. More...
Glib::PropertyProxy< bool > | property_underline_set ()
| Whether this tag affects underlining. More...
Glib::PropertyProxy_ReadOnly< bool > | property_underline_set () const
| Whether this tag affects underlining. More...
Glib::PropertyProxy< bool > | property_underline_rgba_set ()
| If the Gtk::TextTag::property_underline_rgba() property has been set. More...
Glib::PropertyProxy_ReadOnly< bool > | property_underline_rgba_set () const
| If the Gtk::TextTag::property_underline_rgba() property has been set. More...
Glib::PropertyProxy< bool > | property_rise_set ()
| Whether this tag affects the rise. More...
Glib::PropertyProxy_ReadOnly< bool > | property_rise_set () const
| Whether this tag affects the rise. More...
Glib::PropertyProxy< bool > | property_background_full_height_set ()
| Whether this tag affects background height. More...
Glib::PropertyProxy_ReadOnly< bool > | property_background_full_height_set () const
| Whether this tag affects background height. More...
Glib::PropertyProxy< bool > | property_language_set ()
| Whether this tag affects the language the text is rendered as. More...
Glib::PropertyProxy_ReadOnly< bool > | property_language_set () const
| Whether this tag affects the language the text is rendered as. More...
Glib::PropertyProxy< bool > | property_tabs_set ()
| Whether this tag affects tabs. More...
Glib::PropertyProxy_ReadOnly< bool > | property_tabs_set () const
| Whether this tag affects tabs. More...
Glib::PropertyProxy< bool > | property_invisible_set ()
| Whether this tag affects text visibility. More...
Glib::PropertyProxy_ReadOnly< bool > | property_invisible_set () const
| Whether this tag affects text visibility. More...
Glib::PropertyProxy< bool > | property_paragraph_background_set ()
| Whether this tag affects the paragraph background color. More...
Glib::PropertyProxy_ReadOnly< bool > | property_paragraph_background_set () const
| Whether this tag affects the paragraph background color. More...
Glib::PropertyProxy< bool > | property_fallback ()
| Whether font fallback is enabled. More...
Glib::PropertyProxy_ReadOnly< bool > | property_fallback () const
| Whether font fallback is enabled. More...
Glib::PropertyProxy< bool > | property_fallback_set ()
| Whether this tag affects font fallback. More...
Glib::PropertyProxy_ReadOnly< bool > | property_fallback_set () const
| Whether this tag affects font fallback. More...
Glib::PropertyProxy< int > | property_letter_spacing ()
| Extra spacing between graphemes, in Pango units. More...
Glib::PropertyProxy_ReadOnly< int > | property_letter_spacing () const
| Extra spacing between graphemes, in Pango units. More...
Glib::PropertyProxy< bool > | property_letter_spacing_set ()
| Whether this tag affects letter spacing. More...
Glib::PropertyProxy_ReadOnly< bool > | property_letter_spacing_set () const
| Whether this tag affects letter spacing. More...
Glib::PropertyProxy< bool > | property_font_features_set ()
| Whether this tag affects font features. More...
Glib::PropertyProxy_ReadOnly< bool > | property_font_features_set () const
| Whether this tag affects font features. More...
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
void | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void > &slot)
void | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void > &&slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, const sigc::slot< void > &slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, sigc::slot< void > &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable &src) noexcept
| trackable (trackable &&src)
| ~trackable ()
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src)
void | remove_destroy_notify_callback (void *data) const

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static Glib::RefPtr< TextTag > | create ()
static Glib::RefPtr< TextTag > | create (const Glib::ustring& name)

## Protected Member Functions
| TextTag ()
| TextTag (const Glib::ustring& name)
virtual bool | on_event (const Glib::RefPtr< Glib::Object >& event_object, GdkEvent* gdk_event, const TextIter& iter)
| This is a default handler for the signal signal_event(). More...
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
| ~Object () noexcept override
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gtk::TextTag > | wrap (GtkTextTag* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from Glib::Object
typedef void(*)(gpointer data | DestroyNotify)
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify

## Detailed Description

Typedefed as Gtk::TextBuffer::Tag.

Text in a buffer can be marked with tags. A tag is an attribute that can be applied to some range of text. For example, a tag might be called "bold" and might make the text inside the tag bold. However, the tag concept is more general than that; tags don't have to affect appearance. They can instead affect the behavior of mouse and key presses, "lock" a range of text so the user can't edit it, or countless other things. One tag can be applied to any number of text ranges in any number of Gtk::TextBuffers.

Each tag is stored in a Gtk::TextBuffer::TagTable, and Tags should be in the Gtk::TextBuffer::TagTable for a given Gtk::TextBuffer before using them with that buffer.

Tags can have names, which is convenient sometimes (for example, you can name your tag that makes things bold "bold"), but they can also be anonymous (which is convenient if you're creating tags on-the-fly).

Gtk::TextBuffer::create_tag() is the best way to create tags. See the demo for numerous examples.

## Constructor & Destructor Documentation

## ◆ TextTag() [1/3]

Gtk::TextTag::TextTag | ( | TextTag&& | src | ) |
| noexcept

## ◆ ~TextTag()

Gtk::TextTag::~TextTag | ( |  | ) |
| overridenoexcept

## ◆ TextTag() [2/3]

Gtk::TextTag::TextTag | ( |  | ) |
| protected

## ◆ TextTag() [3/3]

Gtk::TextTag::TextTag | ( | const Glib::ustring & | name | ) |
| explicitprotected

## Member Function Documentation

## ◆ create() [1/2]

static Glib::RefPtr<TextTag> Gtk::TextTag::create | ( |  | ) |
| static

## ◆ create() [2/2]

static Glib::RefPtr<TextTag> Gtk::TextTag::create | ( | const Glib::ustring & | name | ) |
| static

## ◆ event()

bool Gtk::TextTag::event | ( | const Glib::RefPtr< Glib::Object > & | event_object,
|  | GdkEvent * | gdk_event,
|  | const TextIter& | iter
| ) |  |

Emits the “event” signal on the Gtk::TextTag.

Parameters

  event_object | Object that received the event, such as a widget.
  gdk_event | The event.
  iter | Location where the event was received.

Returns
  Result of signal emission (whether the event was handled).

## ◆ get_priority()

int Gtk::TextTag::get_priority | ( |  | ) | const

Get the tag priority.

Returns
  The tag’s priority.

## ◆ get_type()

static GType Gtk::TextTag::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

GtkTextTag* Gtk::TextTag::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GtkTextTag* Gtk::TextTag::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ gobj_copy()

GtkTextTag* Gtk::TextTag::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## ◆ on_event()

virtual bool Gtk::TextTag::on_event | ( | const Glib::RefPtr< Glib::Object > & | event_object,
|  | GdkEvent * | gdk_event,
|  | const TextIter& | iter
| ) |  |
| protectedvirtual

This is a default handler for the signal signal_event().

## ◆ operator=()

TextTag& Gtk::TextTag::operator= | ( | TextTag&& | src | ) |
| noexcept

## ◆ property_accumulative_margin() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_accumulative_margin | ( |  | ) |

Whether the margins accumulate or override each other.

When set to `true` the margins of this tag are added to the margins of any other non-accumulative margins present. When set to `false` the margins override one another (the default).

Since gtkmm 2.12:

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_accumulative_margin() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_accumulative_margin | ( |  | ) | const

Whether the margins accumulate or override each other.

When set to `true` the margins of this tag are added to the margins of any other non-accumulative margins present. When set to `false` the margins override one another (the default).

Since gtkmm 2.12:

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_background()

Glib::PropertyProxy_WriteOnly< Glib::ustring > Gtk::TextTag::property_background | ( |  | ) |

Background color as a string.

Default value: ""

Returns
  A PropertyProxy_WriteOnly that allows you to set the value of the property, or receive notification when the value of the property changes.

## ◆ property_background_full_height() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_background_full_height | ( |  | ) |

Whether the background color fills the entire line height or only the height of the tagged characters.

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_background_full_height() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_background_full_height | ( |  | ) | const

Whether the background color fills the entire line height or only the height of the tagged characters.

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_background_full_height_set() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_background_full_height_set | ( |  | ) |

Whether this tag affects background height.

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_background_full_height_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_background_full_height_set | ( |  | ) | const

Whether this tag affects background height.

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_background_gdk() [1/2]

Glib::PropertyProxy< Gdk::Color > Gtk::TextTag::property_background_gdk | ( |  | ) |

Background color as a Gdk::Color.

Deprecated: 3.4: Use Gtk::TextTag::property_background_rgba() instead.

Deprecated:
  Use property_background_rgba() instead.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_background_gdk() [2/2]

Glib::PropertyProxy_ReadOnly< Gdk::Color > Gtk::TextTag::property_background_gdk | ( |  | ) | const

Background color as a Gdk::Color.

Deprecated: 3.4: Use Gtk::TextTag::property_background_rgba() instead.

Deprecated:
  Use property_background_rgba() instead.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_background_rgba() [1/2]

Glib::PropertyProxy< Gdk::RGBA > Gtk::TextTag::property_background_rgba | ( |  | ) |

Background color as a Gdk::RGBA.

Since gtkmm 3.2:

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_background_rgba() [2/2]

Glib::PropertyProxy_ReadOnly< Gdk::RGBA > Gtk::TextTag::property_background_rgba | ( |  | ) | const

Background color as a Gdk::RGBA.

Since gtkmm 3.2:

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_background_set() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_background_set | ( |  | ) |

Whether this tag affects the background color.

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_background_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_background_set | ( |  | ) | const

Whether this tag affects the background color.

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_direction() [1/2]

Glib::PropertyProxy< TextDirection > Gtk::TextTag::property_direction | ( |  | ) |

Text direction, e.g.

right-to-left or left-to-right.

Default value: Gtk::TEXT_DIR_NONE

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_direction() [2/2]

Glib::PropertyProxy_ReadOnly< TextDirection > Gtk::TextTag::property_direction | ( |  | ) | const

Text direction, e.g.

right-to-left or left-to-right.

Default value: Gtk::TEXT_DIR_NONE

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_editable() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_editable | ( |  | ) |

Whether the text can be modified by the user.

Default value: `true`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_editable() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_editable | ( |  | ) | const

Whether the text can be modified by the user.

Default value: `true`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_editable_set() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_editable_set | ( |  | ) |

Whether this tag affects text editability.

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_editable_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_editable_set | ( |  | ) | const

Whether this tag affects text editability.

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_fallback() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_fallback | ( |  | ) |

Whether font fallback is enabled.

When set to `true`, other fonts will be substituted where the current font is missing glyphs.

Since gtkmm 3.16:

Default value: `true`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_fallback() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_fallback | ( |  | ) | const

Whether font fallback is enabled.

When set to `true`, other fonts will be substituted where the current font is missing glyphs.

Since gtkmm 3.16:

Default value: `true`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_fallback_set() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_fallback_set | ( |  | ) |

Whether this tag affects font fallback.

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_fallback_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_fallback_set | ( |  | ) | const

Whether this tag affects font fallback.

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_family() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::TextTag::property_family | ( |  | ) |

Name of the font family, e.g.

Sans, Helvetica, Times, Monospace.

Default value: ""

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_family() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::TextTag::property_family | ( |  | ) | const

Name of the font family, e.g.

Sans, Helvetica, Times, Monospace.

Default value: ""

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_family_set() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_family_set | ( |  | ) |

Whether this tag affects the font family.

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_family_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_family_set | ( |  | ) | const

Whether this tag affects the font family.

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_font() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::TextTag::property_font | ( |  | ) |

Font description as string, e.g. \"Sans Italic 12\\".

Note that the initial value of this property depends on the internals of Pango::FontDescription.

Default value: ""

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_font() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::TextTag::property_font | ( |  | ) | const

Font description as string, e.g. \"Sans Italic 12\\".

Note that the initial value of this property depends on the internals of Pango::FontDescription.

Default value: ""

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_font_desc() [1/2]

Glib::PropertyProxy< Pango::FontDescription > Gtk::TextTag::property_font_desc | ( |  | ) |

Font description as a PangoFontDescription struct.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_font_desc() [2/2]

Glib::PropertyProxy_ReadOnly< Pango::FontDescription > Gtk::TextTag::property_font_desc | ( |  | ) | const

Font description as a PangoFontDescription struct.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_font_features() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::TextTag::property_font_features | ( |  | ) |

OpenType font features, as a string.

Since gtkmm 3.20:

Default value: ""

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_font_features() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::TextTag::property_font_features | ( |  | ) | const

OpenType font features, as a string.

Since gtkmm 3.20:

Default value: ""

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_font_features_set() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_font_features_set | ( |  | ) |

Whether this tag affects font features.

Since gtkmm 3.20:

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_font_features_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_font_features_set | ( |  | ) | const

Whether this tag affects font features.

Since gtkmm 3.20:

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_foreground()

Glib::PropertyProxy_WriteOnly< Glib::ustring > Gtk::TextTag::property_foreground | ( |  | ) |

Foreground color as a string.

Default value: ""

Returns
  A PropertyProxy_WriteOnly that allows you to set the value of the property, or receive notification when the value of the property changes.

## ◆ property_foreground_gdk() [1/2]

Glib::PropertyProxy< Gdk::Color > Gtk::TextTag::property_foreground_gdk | ( |  | ) |

Foreground color as a Gdk::Color.

Deprecated: 3.4: Use Gtk::TextTag::property_foreground_rgba() instead.

Deprecated:
  Use property_foreground_rgba() instead.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_foreground_gdk() [2/2]

Glib::PropertyProxy_ReadOnly< Gdk::Color > Gtk::TextTag::property_foreground_gdk | ( |  | ) | const

Foreground color as a Gdk::Color.

Deprecated: 3.4: Use Gtk::TextTag::property_foreground_rgba() instead.

Deprecated:
  Use property_foreground_rgba() instead.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_foreground_rgba() [1/2]

Glib::PropertyProxy< Gdk::RGBA > Gtk::TextTag::property_foreground_rgba | ( |  | ) |

Foreground color as a Gdk::RGBA.

Since gtkmm 3.2:

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_foreground_rgba() [2/2]

Glib::PropertyProxy_ReadOnly< Gdk::RGBA > Gtk::TextTag::property_foreground_rgba | ( |  | ) | const

Foreground color as a Gdk::RGBA.

Since gtkmm 3.2:

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_foreground_set() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_foreground_set | ( |  | ) |

Whether this tag affects the foreground color.

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_foreground_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_foreground_set | ( |  | ) | const

Whether this tag affects the foreground color.

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_indent() [1/2]

Glib::PropertyProxy< int > Gtk::TextTag::property_indent | ( |  | ) |

Amount to indent the paragraph, in pixels.

Default value: 0

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_indent() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::TextTag::property_indent | ( |  | ) | const

Amount to indent the paragraph, in pixels.

Default value: 0

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_indent_set() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_indent_set | ( |  | ) |

Whether this tag affects indentation.

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_indent_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_indent_set | ( |  | ) | const

Whether this tag affects indentation.

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_invisible() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_invisible | ( |  | ) |

Whether this text is hidden.

Note that there may still be problems with the support for invisible text, in particular when navigating programmatically inside a buffer containing invisible segments.

Since gtkmm 2.8:

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_invisible() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_invisible | ( |  | ) | const

Whether this text is hidden.

Note that there may still be problems with the support for invisible text, in particular when navigating programmatically inside a buffer containing invisible segments.

Since gtkmm 2.8:

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_invisible_set() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_invisible_set | ( |  | ) |

Whether this tag affects text visibility.

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_invisible_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_invisible_set | ( |  | ) | const

Whether this tag affects text visibility.

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_justification() [1/2]

Glib::PropertyProxy< Justification > Gtk::TextTag::property_justification | ( |  | ) |

Left, right, or center justification.

Default value: Gtk::JUSTIFY_LEFT

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_justification() [2/2]

Glib::PropertyProxy_ReadOnly< Justification > Gtk::TextTag::property_justification | ( |  | ) | const

Left, right, or center justification.

Default value: Gtk::JUSTIFY_LEFT

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_justification_set() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_justification_set | ( |  | ) |

Whether this tag affects paragraph justification.

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_justification_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_justification_set | ( |  | ) | const

Whether this tag affects paragraph justification.

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_language() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::TextTag::property_language | ( |  | ) |

The language this text is in, as an ISO code.

Pango can use this as a hint when rendering the text. If not set, an appropriate default will be used.

Note that the initial value of this property depends on the current locale, see also gtk_get_default_language().

Default value: ""

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_language() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::TextTag::property_language | ( |  | ) | const

The language this text is in, as an ISO code.

Pango can use this as a hint when rendering the text. If not set, an appropriate default will be used.

Note that the initial value of this property depends on the current locale, see also gtk_get_default_language().

Default value: ""

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_language_set() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_language_set | ( |  | ) |

Whether this tag affects the language the text is rendered as.

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_language_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_language_set | ( |  | ) | const

Whether this tag affects the language the text is rendered as.

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_left_margin() [1/2]

Glib::PropertyProxy< int > Gtk::TextTag::property_left_margin | ( |  | ) |

Width of the left margin in pixels.

Default value: 0

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_left_margin() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::TextTag::property_left_margin | ( |  | ) | const

Width of the left margin in pixels.

Default value: 0

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_left_margin_set() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_left_margin_set | ( |  | ) |

Whether this tag affects the left margin.

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_left_margin_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_left_margin_set | ( |  | ) | const

Whether this tag affects the left margin.

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_letter_spacing() [1/2]

Glib::PropertyProxy< int > Gtk::TextTag::property_letter_spacing | ( |  | ) |

Extra spacing between graphemes, in Pango units.

Since gtkmm 3.16:

Default value: 0

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_letter_spacing() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::TextTag::property_letter_spacing | ( |  | ) | const

Extra spacing between graphemes, in Pango units.

Since gtkmm 3.16:

Default value: 0

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_letter_spacing_set() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_letter_spacing_set | ( |  | ) |

Whether this tag affects letter spacing.

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_letter_spacing_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_letter_spacing_set | ( |  | ) | const

Whether this tag affects letter spacing.

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_name()

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::TextTag::property_name | ( |  | ) | const

Name used to refer to the text tag.

`nullptr` for anonymous tags.

Default value: ""

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_paragraph_background()

Glib::PropertyProxy_WriteOnly< Glib::ustring > Gtk::TextTag::property_paragraph_background | ( |  | ) |

The paragraph background color as a string.

Since gtkmm 2.8:

Default value: ""

Returns
  A PropertyProxy_WriteOnly that allows you to set the value of the property, or receive notification when the value of the property changes.

## ◆ property_paragraph_background_gdk() [1/2]

Glib::PropertyProxy< Gdk::Color > Gtk::TextTag::property_paragraph_background_gdk | ( |  | ) |

The paragraph background color as a Gdk::Color.

Since gtkmm 2.8:

Deprecated: 3.4: Use Gtk::TextTag::property_paragraph_background_rgba() instead.

Deprecated:
  Use property_paragraph_background_rgba() instead.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_paragraph_background_gdk() [2/2]

Glib::PropertyProxy_ReadOnly< Gdk::Color > Gtk::TextTag::property_paragraph_background_gdk | ( |  | ) | const

The paragraph background color as a Gdk::Color.

Since gtkmm 2.8:

Deprecated: 3.4: Use Gtk::TextTag::property_paragraph_background_rgba() instead.

Deprecated:
  Use property_paragraph_background_rgba() instead.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_paragraph_background_rgba() [1/2]

Glib::PropertyProxy< Gdk::RGBA > Gtk::TextTag::property_paragraph_background_rgba | ( |  | ) |

The paragraph background color as a Gdk::RGBA.

Since gtkmm 3.2:

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_paragraph_background_rgba() [2/2]

Glib::PropertyProxy_ReadOnly< Gdk::RGBA > Gtk::TextTag::property_paragraph_background_rgba | ( |  | ) | const

The paragraph background color as a Gdk::RGBA.

Since gtkmm 3.2:

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_paragraph_background_set() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_paragraph_background_set | ( |  | ) |

Whether this tag affects the paragraph background color.

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_paragraph_background_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_paragraph_background_set | ( |  | ) | const

Whether this tag affects the paragraph background color.

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_pixels_above_lines() [1/2]

Glib::PropertyProxy< int > Gtk::TextTag::property_pixels_above_lines | ( |  | ) |

Pixels of blank space above paragraphs.

Default value: 0

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_pixels_above_lines() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::TextTag::property_pixels_above_lines | ( |  | ) | const

Pixels of blank space above paragraphs.

Default value: 0

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_pixels_above_lines_set() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_pixels_above_lines_set | ( |  | ) |

Whether this tag affects the number of pixels above lines.

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_pixels_above_lines_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_pixels_above_lines_set | ( |  | ) | const

Whether this tag affects the number of pixels above lines.

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_pixels_below_lines() [1/2]

Glib::PropertyProxy< int > Gtk::TextTag::property_pixels_below_lines | ( |  | ) |

Pixels of blank space below paragraphs.

Default value: 0

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_pixels_below_lines() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::TextTag::property_pixels_below_lines | ( |  | ) | const

Pixels of blank space below paragraphs.

Default value: 0

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_pixels_below_lines_set() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_pixels_below_lines_set | ( |  | ) |

Whether this tag affects the number of pixels above lines.

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_pixels_below_lines_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_pixels_below_lines_set | ( |  | ) | const

Whether this tag affects the number of pixels above lines.

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_pixels_inside_wrap() [1/2]

Glib::PropertyProxy< int > Gtk::TextTag::property_pixels_inside_wrap | ( |  | ) |

Pixels of blank space between wrapped lines in a paragraph.

Default value: 0

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_pixels_inside_wrap() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::TextTag::property_pixels_inside_wrap | ( |  | ) | const

Pixels of blank space between wrapped lines in a paragraph.

Default value: 0

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_pixels_inside_wrap_set() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_pixels_inside_wrap_set | ( |  | ) |

Whether this tag affects the number of pixels between wrapped lines.

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_pixels_inside_wrap_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_pixels_inside_wrap_set | ( |  | ) | const

Whether this tag affects the number of pixels between wrapped lines.

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_right_margin() [1/2]

Glib::PropertyProxy< int > Gtk::TextTag::property_right_margin | ( |  | ) |

Width of the right margin in pixels.

Default value: 0

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_right_margin() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::TextTag::property_right_margin | ( |  | ) | const

Width of the right margin in pixels.

Default value: 0

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_right_margin_set() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_right_margin_set | ( |  | ) |

Whether this tag affects the right margin.

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_right_margin_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_right_margin_set | ( |  | ) | const

Whether this tag affects the right margin.

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_rise() [1/2]

Glib::PropertyProxy< int > Gtk::TextTag::property_rise | ( |  | ) |

Offset of text above the baseline (below the baseline if rise is negative) in Pango units.

Default value: 0

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_rise() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::TextTag::property_rise | ( |  | ) | const

Offset of text above the baseline (below the baseline if rise is negative) in Pango units.

Default value: 0

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_rise_set() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_rise_set | ( |  | ) |

Whether this tag affects the rise.

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_rise_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_rise_set | ( |  | ) | const

Whether this tag affects the rise.

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_scale() [1/2]

Glib::PropertyProxy< double > Gtk::TextTag::property_scale | ( |  | ) |

Font size as a scale factor relative to the default font size.

This properly adapts to theme changes etc. so is recommended. Pango predefines some scales such as PANGO_SCALE_X_LARGE.

Default value: 1

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_scale() [2/2]

Glib::PropertyProxy_ReadOnly< double > Gtk::TextTag::property_scale | ( |  | ) | const

Font size as a scale factor relative to the default font size.

This properly adapts to theme changes etc. so is recommended. Pango predefines some scales such as PANGO_SCALE_X_LARGE.

Default value: 1

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_scale_set() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_scale_set | ( |  | ) |

Whether this tag scales the font size by a factor.

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_scale_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_scale_set | ( |  | ) | const

Whether this tag scales the font size by a factor.

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_size() [1/2]

Glib::PropertyProxy< int > Gtk::TextTag::property_size | ( |  | ) |

Font size in Pango units.

Default value: 0

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_size() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::TextTag::property_size | ( |  | ) | const

Font size in Pango units.

Default value: 0

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_size_points() [1/2]

Glib::PropertyProxy< double > Gtk::TextTag::property_size_points | ( |  | ) |

Font size in points.

Default value: 0

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_size_points() [2/2]

Glib::PropertyProxy_ReadOnly< double > Gtk::TextTag::property_size_points | ( |  | ) | const

Font size in points.

Default value: 0

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_size_set() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_size_set | ( |  | ) |

Whether this tag affects the font size.

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_size_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_size_set | ( |  | ) | const

Whether this tag affects the font size.

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_stretch() [1/2]

Glib::PropertyProxy< Pango::Stretch > Gtk::TextTag::property_stretch | ( |  | ) |

Font stretch as a PangoStretch, e.g.

PANGO_STRETCH_CONDENSED.

Default value: Pango::STRETCH_NORMAL

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_stretch() [2/2]

Glib::PropertyProxy_ReadOnly< Pango::Stretch > Gtk::TextTag::property_stretch | ( |  | ) | const

Font stretch as a PangoStretch, e.g.

PANGO_STRETCH_CONDENSED.

Default value: Pango::STRETCH_NORMAL

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_stretch_set() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_stretch_set | ( |  | ) |

Whether this tag affects the font stretch.

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_stretch_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_stretch_set | ( |  | ) | const

Whether this tag affects the font stretch.

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_strikethrough() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_strikethrough | ( |  | ) |

Whether to strike through the text.

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_strikethrough() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_strikethrough | ( |  | ) | const

Whether to strike through the text.

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_strikethrough_rgba() [1/2]

Glib::PropertyProxy< Gdk::RGBA > Gtk::TextTag::property_strikethrough_rgba | ( |  | ) |

This property modifies the color of strikeouts.

If not set, strikeouts will use the forground color.

Since gtkmm 3.20:

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_strikethrough_rgba() [2/2]

Glib::PropertyProxy_ReadOnly< Gdk::RGBA > Gtk::TextTag::property_strikethrough_rgba | ( |  | ) | const

This property modifies the color of strikeouts.

If not set, strikeouts will use the forground color.

Since gtkmm 3.20:

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_strikethrough_rgba_set() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_strikethrough_rgba_set | ( |  | ) |

If the Gtk::TextTag::property_strikethrough_rgba() property has been set.

Since gtkmm 3.20:

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_strikethrough_rgba_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_strikethrough_rgba_set | ( |  | ) | const

If the Gtk::TextTag::property_strikethrough_rgba() property has been set.

Since gtkmm 3.20:

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_strikethrough_set() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_strikethrough_set | ( |  | ) |

Whether this tag affects strikethrough.

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_strikethrough_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_strikethrough_set | ( |  | ) | const

Whether this tag affects strikethrough.

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_style() [1/2]

Glib::PropertyProxy< Pango::Style > Gtk::TextTag::property_style | ( |  | ) |

Font style as a PangoStyle, e.g.

PANGO_STYLE_ITALIC.

Default value: Pango::STYLE_NORMAL

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_style() [2/2]

Glib::PropertyProxy_ReadOnly< Pango::Style > Gtk::TextTag::property_style | ( |  | ) | const

Font style as a PangoStyle, e.g.

PANGO_STYLE_ITALIC.

Default value: Pango::STYLE_NORMAL

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_style_set() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_style_set | ( |  | ) |

Whether this tag affects the font style.

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_style_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_style_set | ( |  | ) | const

Whether this tag affects the font style.

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_tabs() [1/2]

Glib::PropertyProxy< Pango::TabArray > Gtk::TextTag::property_tabs | ( |  | ) |

Custom tabs for this text.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_tabs() [2/2]

Glib::PropertyProxy_ReadOnly< Pango::TabArray > Gtk::TextTag::property_tabs | ( |  | ) | const

Custom tabs for this text.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_tabs_set() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_tabs_set | ( |  | ) |

Whether this tag affects tabs.

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_tabs_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_tabs_set | ( |  | ) | const

Whether this tag affects tabs.

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_underline() [1/2]

Glib::PropertyProxy< Pango::Underline > Gtk::TextTag::property_underline | ( |  | ) |

Style of underline for this text.

Default value: Pango::UNDERLINE_NONE

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_underline() [2/2]

Glib::PropertyProxy_ReadOnly< Pango::Underline > Gtk::TextTag::property_underline | ( |  | ) | const

Style of underline for this text.

Default value: Pango::UNDERLINE_NONE

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_underline_rgba() [1/2]

Glib::PropertyProxy< Gdk::RGBA > Gtk::TextTag::property_underline_rgba | ( |  | ) |

This property modifies the color of underlines.

If not set, underlines will use the forground color.

If Gtk::TextTag::property_underline() is set to Pango::UNDERLINE_ERROR, an alternate color may be applied instead of the foreground. Setting this property will always override those defaults.

Since gtkmm 3.20:

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_underline_rgba() [2/2]

Glib::PropertyProxy_ReadOnly< Gdk::RGBA > Gtk::TextTag::property_underline_rgba | ( |  | ) | const

This property modifies the color of underlines.

If not set, underlines will use the forground color.

If Gtk::TextTag::property_underline() is set to Pango::UNDERLINE_ERROR, an alternate color may be applied instead of the foreground. Setting this property will always override those defaults.

Since gtkmm 3.20:

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_underline_rgba_set() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_underline_rgba_set | ( |  | ) |

If the Gtk::TextTag::property_underline_rgba() property has been set.

Since gtkmm 3.20:

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_underline_rgba_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_underline_rgba_set | ( |  | ) | const

If the Gtk::TextTag::property_underline_rgba() property has been set.

Since gtkmm 3.20:

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_underline_set() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_underline_set | ( |  | ) |

Whether this tag affects underlining.

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_underline_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_underline_set | ( |  | ) | const

Whether this tag affects underlining.

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_variant() [1/2]

Glib::PropertyProxy< Pango::Variant > Gtk::TextTag::property_variant | ( |  | ) |

Font variant as a PangoVariant, e.g.

PANGO_VARIANT_SMALL_CAPS.

Default value: Pango::VARIANT_NORMAL

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_variant() [2/2]

Glib::PropertyProxy_ReadOnly< Pango::Variant > Gtk::TextTag::property_variant | ( |  | ) | const

Font variant as a PangoVariant, e.g.

PANGO_VARIANT_SMALL_CAPS.

Default value: Pango::VARIANT_NORMAL

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_variant_set() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_variant_set | ( |  | ) |

Whether this tag affects the font variant.

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_variant_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_variant_set | ( |  | ) | const

Whether this tag affects the font variant.

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_weight() [1/2]

Glib::PropertyProxy< int > Gtk::TextTag::property_weight | ( |  | ) |

Font weight as an integer, see predefined values in PangoWeight; for example, PANGO_WEIGHT_BOLD.

Default value: 400

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_weight() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::TextTag::property_weight | ( |  | ) | const

Font weight as an integer, see predefined values in PangoWeight; for example, PANGO_WEIGHT_BOLD.

Default value: 400

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_weight_set() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_weight_set | ( |  | ) |

Whether this tag affects the font weight.

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_weight_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_weight_set | ( |  | ) | const

Whether this tag affects the font weight.

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_wrap_mode() [1/2]

Glib::PropertyProxy< WrapMode > Gtk::TextTag::property_wrap_mode | ( |  | ) |

Whether to wrap lines never, at word boundaries, or at character boundaries.

Default value: Gtk::WRAP_NONE

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_wrap_mode() [2/2]

Glib::PropertyProxy_ReadOnly< WrapMode > Gtk::TextTag::property_wrap_mode | ( |  | ) | const

Whether to wrap lines never, at word boundaries, or at character boundaries.

Default value: Gtk::WRAP_NONE

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_wrap_mode_set() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_wrap_mode_set | ( |  | ) |

Whether this tag affects line wrap mode.

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_wrap_mode_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_wrap_mode_set | ( |  | ) | const

Whether this tag affects line wrap mode.

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ set_priority()

void Gtk::TextTag::set_priority | ( | int | priority | ) |

Sets the priority of a Gtk::TextTag.

Valid priorities start at 0 and go to one less than Gtk::TextTagTable::get_size(). Each tag in a table has a unique priority; setting the priority of one tag shifts the priorities of all the other tags in the table to maintain a unique priority for each tag. Higher priority tags “win” if two tags both set the same text attribute. When adding a tag to a tag table, it will be assigned the highest priority in the table by default; so normally the precedence of a set of tags is the order in which they were added to the table, or created with Gtk::TextBuffer::create_tag(), which adds the tag to the buffer’s table automatically.

Parameters

  priority | The new priority.

## ◆ signal_event()

Glib::SignalProxy< bool,const Glib::RefPtr<Glib::Object>&,GdkEvent*,const TextIter& > Gtk::TextTag::signal_event | ( |  | ) |

Slot Prototype:
  `bool on_my_event(const Glib::RefPtr<Glib::Object>& event_object, GdkEvent* gdk_event, const TextIter& iter)`

Flags: Run Last

The signal_event() signal is emitted when an event occurs on a region of the buffer marked with this tag.

Parameters

  event_object | The object the event was fired from (typically a Gtk::TextView).
  gdk_event | The event which triggered the signal.
  iter | A Gtk::TextIter pointing at the location the event occurred.

Returns
  `true` to stop other handlers from being invoked for the event. `false` to propagate the event further.

## ◆ tag_changed()

void Gtk::TextTag::tag_changed | ( | bool | size_changed | ) |

Emits the Gtk::TextTagTable::signal_tag_changed() signal on the Gtk::TextTagTable where the tag is included.

The signal is already emitted when setting a Gtk::TextTag property. This function is useful for a Gtk::TextTag subclass.

Since gtkmm 3.20:

Parameters

  size_changed | Whether the change affects the Gtk::TextView layout.

## Friends And Related Function Documentation

## ◆ wrap()

Glib::RefPtr< Gtk::TextTag > wrap | ( | GtkTextTag * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.